ConnectionManagerImpl (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Class ConnectionManagerImpl

- java.lang.Object
- - com.marketfactory.zerogc.api.ConnectionManagerImpl

- All Implemented Interfaces:
    ConnectionManager

      public class ConnectionManagerImpl
      extends java.lang.Object
      implements ConnectionManager

  Responsible for organizing the connection to the Whisperer servers.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `APIResult` | `connectWithoutPinging()`
    `APIResult` | `connectWithPinging()`
    `void` | `disconnect()`
    `void` | `dispatch()`
    `MFString` | `getCurrentlyConnectedHost()`
    `int` | `getCurrentlyConnectedPort()`
    `java.util.List<PingTime>` | `getLastPingTimes()`
    `boolean` | `isConnected()`
    `boolean` | `isStopRequested()`
    `APIResult` | `send(IMessage message)`
    `void` | `stopDispatching()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### connectWithPinging

          public APIResult connectWithPinging()

      Specified by:
        `connectWithPinging` in interface `ConnectionManager`

    - #### connectWithoutPinging

          public APIResult connectWithoutPinging()

      Specified by:
        `connectWithoutPinging` in interface `ConnectionManager`

    - #### isConnected

          public boolean isConnected()

      Specified by:
        `isConnected` in interface `ConnectionManager`

    - #### disconnect

          public void disconnect()

      Specified by:
        `disconnect` in interface `ConnectionManager`

    - #### stopDispatching

          public void stopDispatching()

      Specified by:
        `stopDispatching` in interface `ConnectionManager`

    - #### isStopRequested

          public boolean isStopRequested()

      Specified by:
        `isStopRequested` in interface `ConnectionManager`

    - #### getLastPingTimes

          public java.util.List<PingTime> getLastPingTimes()

      Specified by:
        `getLastPingTimes` in interface `ConnectionManager`

    - #### getCurrentlyConnectedHost

          public MFString getCurrentlyConnectedHost()

      Specified by:
        `getCurrentlyConnectedHost` in interface `ConnectionManager`

    - #### getCurrentlyConnectedPort

          public int getCurrentlyConnectedPort()

      Specified by:
        `getCurrentlyConnectedPort` in interface `ConnectionManager`

    - #### dispatch

          public void dispatch()
                        throws MFException

      Specified by:
        `dispatch` in interface `ConnectionManager`
      Throws:
        `MFException`

    - #### send

          public APIResult send(IMessage message)

      Specified by:
        `send` in interface `ConnectionManager`